List purchase products
The listPurchaseProducts operation lists all of the purchased catalog items associated with the specified purchase ID.
The search result is returned as a list of STAC items (GeoJSON features).
This endpoint does not support pagination.
For purchases that specify the
productTypes parameter, this endpoint
returns an empty data array until the requested products are available — only the products
matching the requested types are returned. Poll getPurchase
and wait for the purchase status to transition to closed before listing products. A failed
status indicates that the order could not be fulfilled and no products will become available
for that purchase. Please reach out to COSP for more information.
|
Example
Request
Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl -v -G "${API_BASE_URL}/api/catalog/v2/purchases/${PURCHASE_ID}/products" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"